Create In-store SMS Payment Link Checkout Session

This endpoint facilitates the creation of an In-Store checkout session, where all payment information is sent within the request to send a payment link via SMS message, enabling customer payments via Tamara.

Please store the order_id and checkout_id received in response in your DBs as they might be needed later.

Body Params
total_amount
object
required

Total amount to be charged to consumer.

string
required
Defaults to 534274516

The customer's phone number, on which the customer will receive an SMS containing a payment link. This will be used to complete the transaction via Tamara.

string
Defaults to [email protected]

The customer's email address, designated to receive the payment link. Serves as a backup option in case of mobile coverage issues affecting the phone number.

string
required
Defaults to 1231234123-234a-fe21-1234-a324af2

The unique order id from merchant side, this will be used with the settlement and reports

string
Defaults to A1231234123

Unique order ID from the merchant's side, which will be used for settlement and reporting purposes. Can be modified after the checkout session is created.

items
array of objects
required
Defaults to [object Object]
items*

An array of objects to detail the items in this order as seperate objects for each item.

string
required
≤ 255

Product name. <=255 characters.

number
required

How many of this specific item is being purchased

string
required
Defaults to Physical
string
required

The unique id of the item from merchant's side

string
required
≤ 128

Product SKU. <= 128 characters

uri
≤ 1024

URL of the item from merchant's website. <= 1024 characters

uri
≤ 1024

URL to an image of the product that can be later displayed to the customer. <= 1024 characters
Size = 2-3 MB maximum
Resolution WxH = 1024xY (the Y height of image should be small).

unit_price
object
tax_amount
object
discount_amount
object
total_amount
object
required
string
enum
Defaults to ar_SA

Display language for Tamara checkout page. Language to be defined by the merchant following RFC 1766, e.g en_US or ar_SA. Default is set to Arabic if value not passed and customer is new. If customer already exists and locale is not passed then customer's preference will be taken into account.

Allowed:
string
enum
Defaults to PAY_BY_INSTALMENTS

The payment method offered by Tamara that you want to offer to your customer for this checkout session.

Allowed:
integer
5 to 1440

Order expiry time in minutes, min 5 minutes, max 1440 (one day). By default this key will be ignored, and default value of 15 mins is used, Please contact our support team to enable this feature.

additional_data
object

Additional order data information from the merchant side

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json